<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-admin.css" type='text/css' />
<link rel="first" href="mailman-admin.html" title='GNU mailman - list Administration Manual' />
<link rel='contents' href='contents.html' title="Contents" />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="prev" href="node13.html" />
<link rel="parent" href="node9.html" />
<link rel="next" href="node15.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>2.1.5 Additional settings</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.1.4 Notifications"
  href="node13.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2.1 the General Options"
  href="node9.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.2 the Passwords Category"
  href="node15.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node13.html">2.1.4 Notifications</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node9.html">2.1 The General Options</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node15.html">2.2 The Passwords Category</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h3><a name="SECTION002215000000000000000">
2.1.5 Additional settings</a>
</h3>

<p>
This section contains some miscellaneous settings for your mailing
list.

<p>
<dl>
<dt><strong>emergency</strong></dt>
<dd>When this option is enabled, all list traffic is emergency
    moderated, i.e. held for moderation.  Turn this option on when
    your list is experiencing a flamewar and you want a cooling off
    period.

<p>
</dd>
<dt><strong>new_member_options</strong></dt>
<dd>Each member has a set of subscription options which they can use
    to control how they receive messages and otherwise interact with
    the list.  While the members can change these settings by logging
    into their personal options page, you might want to set the
    default for a number of the member options.  You can do that with
    this variable, but see also the other categories for other member
    defaults you can set.

<p>
This variable presents a set of checkboxes which control the
    defaults for some of the member options.  <em>Conceal the
    member's address</em> specifies whether or not the address is
    displayed in the list roster.  <em>Acknowledge the member's
    posting</em> controls whether or not Mailman sends an acknowledgement
    to a member when they post a message to the list.  <em>Do not
    send a copy of a member's own post</em> specifies whether a member
    posting to the list will get a copy of their own posting.
    <em>Filter out duplicate messages to list members (if possible)</em>
    specifies whether members who are explicitly listed as a recipient
    of a message (e.g. via the <span class="mailheader">Cc:</span> header) will also get a
    copy from Mailman.

<p>
Of course, members can always override these defaults by making
    changes on their membership options page.

<p>
</dd>
<dt><strong>administrivia</strong></dt>
<dd>This option specifies whether Mailman will search posted messages
    for <em>admimistrivia</em>, in other words, email commands which
    usually should be posted to the <code>-request</code> address for the
    list.  Setting this to <em>Yes</em> helps prevent such things as
    unsubscribe messages getting erroneously posted to the list.

<p>
If a message seems to contain administrivia, it is held for
    moderator approval.

<p>
</dd>
<dt><strong>max_message_size</strong></dt>
<dd>This option specifies a maximum message size, in kilobytes, over
    which the message will be held for moderator approval.

<p>
</dd>
<dt><strong>host_name</strong></dt>
<dd>This option specifies the host name part of email addresses used
    by this list.  For example, this is the <code>example.com</code> part of
    the posting address <code>mylist@example.com</code>.

<p>
It's generally not a good idea to change this value, since its
    default value is specified when the mailing list is created.
    Changing this to an incorrect value could make it difficult to
    contact your mailing list.  Also note that the url used to visit
    the list's pages is not configurable through the web interface.
    This is because if you messed it up, you'd have to have the site
    administrator fix it.

<p>
</dd>
<dt><strong>include_rfc2369_headers</strong></dt>
<dd><a class="rfc" id='rfcref-1096' xml:id='rfcref-1096'
href="http://www.faqs.org/rfcs/rfc2369.html">RFC 2369</a> is an internet standard that describes a bunch of
    headers that mailing list managers should add to messages to make
    it easier for people to interact with the list.  Mail reading
    programs which support this standard may provide buttons for easy
    access to the list's archives, or for subscribing and
    unsubscribing to the list.  It's generally a good idea to enable
    these headers as it provides for an improved user experience.
    These headers are often called the <code>List-*</code> headers.

<p>
However, not all mail readers are standards compliant yet, and if
    you have a large number of members who are using non-compliant
    mail readers, they may be annoyed at these headers.  You should
    first try to educate your members as to why these headers exist,
    and how to hide them in their mail clients.  As a last resort you
    can disable these headers, but this is not recommended.

<p>
</dd>
<dt><strong>include_list_post_header</strong></dt>
<dd>The <span class="mailheader">List-Post:</span> header is one of the headers
    recommended by <a class="rfc" id='rfcref-1098' xml:id='rfcref-1098'
href="http://www.faqs.org/rfcs/rfc2369.html">RFC 2369</a>.  However for some announce-only mailing
    lists, only a very select group of people are allowed to post to
    the list; the general membership is usually not allowed to post to
    such lists.  For lists of this nature, the <span class="mailheader">List-Post:</span>
    header is misleading.  Select <em>No</em> to disable the inclusion
    of this header. (This does not affect the inclusion of the other
    <code>List-*</code> headers.)
</dd>
</dl>

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.1.4 Notifications"
  href="node13.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2.1 the General Options"
  href="node9.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.2 the Passwords Category"
  href="node15.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node13.html">2.1.4 Notifications</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node9.html">2.1 The General Options</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node15.html">2.2 The Passwords Category</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
